Bug 478075 - MIGRATED_FROM_JIRA: Penrose removes duplicate entries because of join column primary key requirement
MIGRATED_FROM_JIRA: Penrose removes duplicate entries because of join column ...
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:56 EST by Chandrasekar Kannan
Modified: 2016-01-28 16:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:56:46 EST
Non-unique column values that had to be marked as primary keys because they are join columns disappear when Penrose serves them up as ldap ? it incorrectly discards the ?duplicates?. 

Additional Comments From endisd dated Mon Sep 12 13:02:51 CDT 2005 
Penrose now allows to use any keys (not just primary keys) to be used for join. Penrose 0.9.5 includes a new sample database with various mapping configurations which demonstrates this ability. Please reopen this issue if your mapping configuration still doesn't work.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'key' => 'PENROSE-79',
          'assignee' => 'endisd',
          'summary' => 'Penrose removes duplicate entries because of join column primary key requirement',
          'id' => '10268',
          'updated' => '2005-09-12 13:02:51.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-09-15 00:00:00.0',
                             'sequence' => '5',
                             'name' => 'Penrose-0.9.5',
                             'released' => 'true',
                             'id' => '10022',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-07-26 00:00:00.0',
                                 'sequence' => '3',
                                 'name' => 'Penrose-0.9.3',
                                 'released' => 'true',
                                 'id' => '10020',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'Non-unique column values that had to be marked as primary keys because they are join columns disappear when Penrose serves them up as ldap ? it incorrectly discards the ?duplicates?. 
',
          'created' => '2005-09-01 22:08:05.0',
          'environment' => 'Linux',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:56:48 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-79

Note You need to log in before you can comment on or make changes to this bug.